MongoDB Lesson Problems

MongoDB Lesson Problems
0

#1

Hello all,

Based on previous suggestions, I’m going to try and complete the MongoDB lesson straight from my computer instead of on c9. Currently, what I’ve done is I’ve done npm init and have installed mongodb off of the website (non homebrew version). When I try to click verify for the first lesson (the one where it asks you to install MongoDB), it says that MongoDB is not in the right $PATH. Maybe someone sees something I’m doing wrong, and if not, could someone tell me a good place to start so I can finish this lesson.


#2

Are you using Windows or a different OS? If you’re using Windows you need to add the MongoDB “bin” folder to the Windows “path” system environment variable. And if you’re talking about the current course on MongoDB University (which I’m taking as well), I think they walk through that in the “Installing MongoDB (windows)” video in week 1.


#3

I’m using OSX.

I was able to set it up but I’m still stuck on the find challenge. I start the server, and I’ve literally copy pasted the solution off of the github but it still says it’s not correct. Is there a problem in how I start my server?


#4

I’ve actually found the homebrew version better for Mac because it correctly sets up folder permissions. You might try that.


#5

I tried using the homebrew version too and pulled the same error. It says that for my “find” challenge code it doesn’t log any results and I think that’s because it’s having problems connecting to my server that I set up? Am I doing it wrong?


#6

Hello all,

I am relatively recently arrived camper (since October) and I have made it to back end and am now running into these same problems installing mongoDB and completing the challenges. I was wondering, @njanne19 did you ever resolve this problem and what was your solution? Thanks in advance.


#7

If youre in OSX, just have homebrew installed and do
brew install mongodb

to start the server, type:
brew services start mongodb

to upgrade to latest version of mongodb (currently 3.6.2), type:
brew upgrade


#8

Why am I just now seeing this? I ended up installing it manually but thanks @owel!